Batch Unresolve Comments
POST
/api/canvas/{deal_id}/comments/batch-unresolve
const url = 'https://example.com/api/canvas/example/comments/batch-unresolve';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"comment_ids":["example"],"section_key":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/canvas/example/comments/batch-unresolve \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "comment_ids": [ "example" ], "section_key": "example" }'Re-open multiple resolved comments in one request.
If section_key is provided without comment_ids, this is a no-op
(unlike batch-resolve, auto-collecting resolved comments for unresolve
is not a typical workflow).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deal_id
required
Deal Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
BatchResolveRequest
Request to resolve multiple comments at once.
object
comment_ids
Any of:
Array<string>
null
Example generated
{ "comment_ids": [ "example" ], "section_key": "example"}Responses
Section titled “ Responses ”Successful Response
Media type application/json
BatchResolveResponse
object
Example generated
{ "results": [ { "comment_id": "example", "success": true, "error": "example" } ], "all_success": true, "resolved_count": 1}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}